Configuration - Apply On Edge Device
Applies the configuration content to an edge device.
POST https://fully-qualified-iothubname.azure-devices.net/devices/{id}/applyConfigurationContent?api-version=2020-05-31-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
id
|
path | True |
|
The unique identifier of the edge device. |
|
api-version
|
query | True |
|
Version of the Api. |
Request Body
| Name | Type | Description |
|---|---|---|
| deviceContent |
|
The device configuration content. |
| moduleContent |
|
The module configuration content. |
| modulesContent |
|
The modules configuration content. |
Responses
| Name | Type | Description |
|---|---|---|
| 204 No Content |
No Content. |
Definitions
ConfigurationContent
The configuration content for devices or modules on edge devices.
| Name | Type | Description |
|---|---|---|
| deviceContent |
|
The device configuration content. |
| moduleContent |
|
The module configuration content. |
| modulesContent |
|
The modules configuration content. |